<!DOCTYPE html>
<html lang="en">
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0"/>
    <meta charset="utf-8"/>
    <title>API Documentation &raquo;\PhpOffice\PhpSpreadsheet\Shared\StringHelper</title>
    <meta name="author" content=""/>
    <meta name="description" content=""/>        <link href="../css/template.css" rel="stylesheet" media="all"/>        <!--[if lt IE 9]>
        <script src="https://html5shim.googlecode.com/svn/trunk/html5.js" type="text/javascript"></script>
        <![endif]-->
        <script src="../js/jquery-1.7.1.min.js" type="text/javascript"></script>
        <script src="../js/jquery-ui-1.8.2.custom.min.js" type="text/javascript"></script>
        <script src="../js/jquery.mousewheel.min.js" type="text/javascript"></script>
        <script src="../js/bootstrap.js" type="text/javascript"></script>
        <script src="../js/template.js" type="text/javascript"></script>
        <script src="../js/prettify/prettify.min.js" type="text/javascript"></script>        <link rel="shortcut icon" href="../img/favicon.ico"/>
        <link rel="apple-touch-icon" href="../img/apple-touch-icon.png"/>
        <link rel="apple-touch-icon" sizes="72x72" href="../img/apple-touch-icon-72x72.png"/>
        <link rel="apple-touch-icon" sizes="114x114" href="../img/apple-touch-icon-114x114.png"/></head>
<body>    <div class="navbar navbar-fixed-top">
        <div class="navbar-inner">
            <div class="container">
                <a class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse">
                    <span class="icon-bar"></span> <span class="icon-bar"></span>
                    <span class="icon-bar"></span> </a>
                <a class="brand" href="../index.html">API Documentation</a>

                <div class="nav-collapse">
                    <ul class="nav">
                        <li class="dropdown">
                            <a href="#api" class="dropdown-toggle" data-toggle="dropdown">
                                API Documentation <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">                                    <li><a>Namespaces</a></li>                                    <li><a href="../namespaces/task_23.html">task_23</a></li>                                    <li><a href="../namespaces/task_18.html">task_18</a></li>                                    <li><a href="../namespaces/task_22.html">task_22</a></li>                                    <li><a href="../namespaces/Composer.html">Composer</a></li>                                    <li><a href="../namespaces/Matrix.html">Matrix</a></li>                                    <li><a href="../namespaces/Complex.html">Complex</a></li>                                    <li><a href="../namespaces/Psr.html">Psr</a></li>                                    <li><a href="../namespaces/PhpOffice.html">PhpOffice</a></li>                                    <li><a href="../namespaces/Samples.html">Samples</a></li>                                    <li><a href="../namespaces/task_21.html">task_21</a></li>                                    <li><a href="../namespaces/task_24.html">task_24</a></li>                                    <li><a href="../namespaces/task_20.html">task_20</a></li>                                    <li><a href="../namespaces/task_17.html">task_17</a></li>                                    <li><a href="../namespaces/task_19.html">task_19</a></li>                            </ul>
                        </li>
                        <li class="dropdown" id="charts-menu">
                            <a href="#charts" class="dropdown-toggle" data-toggle="dropdown">
                                Charts <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../graph_class.html">
                                        <i class="icon-list-alt"></i>&#160;Class hierarchy diagram
                                    </a>
                                </li>
                            </ul>
                        </li>
                        <li class="dropdown" id="reports-menu">
                            <a href="#reports" class="dropdown-toggle" data-toggle="dropdown">
                                Reports <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../errors.html">
                                        <i class="icon-list-alt"></i>&#160;Errors
                                    </a>
                                </li>
                                <li>
                                    <a href="../markers.html">
                                        <i class="icon-list-alt"></i>&#160;Markers
                                    </a>
                                </li>
                                <li>
                                    <a href="../deprecated.html">
                                        <i class="icon-list-alt"></i>&#160;Deprecated
                                    </a>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
        <div class="go_to_top">
            <a href="#___" style="color: inherit">Back to top&#160;&#160;<i class="icon-upload icon-white"></i></a>
        </div>
    </div>
    <div id="___" class="container">
        <noscript>
            <div class="alert alert-warning">
                Javascript is disabled; several features are only available if Javascript is enabled.
            </div>
        </noscript>    <style>
        .deprecated h2 {
            text-decoration: line-through;
        }
    </style>
    <div class="row">
        <div class="span4">    <div class="btn-group view pull-right" data-toggle="buttons-radio">
        <button class="btn details" title="Show descriptions and method names"><i class="icon-list"></i></button>
        <button class="btn simple" title="Show only method names"><i class="icon-align-justify"></i></button>
    </div>
    <div class="btn-group visibility" data-toggle="buttons-checkbox">
        <button class="btn public active" title="Show public elements">Public</button>
        <button class="btn protected" title="Show protected elements">Protected</button>
        <button class="btn private" title="Show private elements">Private</button>
        <button class="btn inherited active" title="Show inherited elements">Inherited</button>
    </div>    <ul class="side-nav nav nav-list">
        <li class="nav-header">
            <i class="icon-custom icon-method"></i> Methods
            <ul>    <li class="methodpublic">
        <a href="#method_controlCharacterOOXML2PHP" title="controlCharacterOOXML2PHP ::Convert from OpenXML escaped control character to PHP control character.">
            <span class="description">Convert from OpenXML escaped control character to PHP control character.</span><pre>controlCharacterOOXML2PHP</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_controlCharacterPHP2OOXML" title="controlCharacterPHP2OOXML ::Convert from PHP control character to OpenXML escaped control character.">
            <span class="description">Convert from PHP control character to OpenXML escaped control character.</span><pre>controlCharacterPHP2OOXML</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_convertEncoding" title="convertEncoding ::Convert string from one encoding to another.">
            <span class="description">Convert string from one encoding to another.</span><pre>convertEncoding</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_convertToNumberIfFraction" title="convertToNumberIfFraction ::Identify whether a string contains a fractional numeric value,
and convert it to a numeric if it is.">
            <span class="description">Identify whether a string contains a fractional numeric value,
and convert it to a numeric if it is.</span><pre>convertToNumberIfFraction</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_countCharacters" title="countCharacters ::Get character count.">
            <span class="description">Get character count.</span><pre>countCharacters</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_formatNumber" title="formatNumber ::Formats a numeric value as a string for output in various output writers forcing
point as decimal separator in case locale is other than English.">
            <span class="description">Formats a numeric value as a string for output in various output writers forcing
point as decimal separator in case locale is other than English.</span><pre>formatNumber</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getCurrencyCode" title="getCurrencyCode ::Get the currency code. If it has not yet been set explicitly, try to obtain the
       symbol information from locale.">
            <span class="description">Get the currency code. If it has not yet been set explicitly, try to obtain the
       symbol information from locale.</span><pre>getCurrencyCode</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getDecimalSeparator" title="getDecimalSeparator ::Get the decimal separator. If it has not yet been set explicitly, try to obtain number
formatting information from locale.">
            <span class="description">Get the decimal separator. If it has not yet been set explicitly, try to obtain number
formatting information from locale.</span><pre>getDecimalSeparator</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getIsIconvEnabled" title="getIsIconvEnabled ::Get whether iconv extension is available.">
            <span class="description">Get whether iconv extension is available.</span><pre>getIsIconvEnabled</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getThousandsSeparator" title="getThousandsSeparator ::Get the thousands separator. If it has not yet been set explicitly, try to obtain number
formatting information from locale.">
            <span class="description">Get the thousands separator. If it has not yet been set explicitly, try to obtain number
formatting information from locale.</span><pre>getThousandsSeparator</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_isUTF8" title="isUTF8 ::Check if a string contains UTF8 data.">
            <span class="description">Check if a string contains UTF8 data.</span><pre>isUTF8</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_mbIsUpper" title="mbIsUpper ::">
            <span class="description"></span><pre>mbIsUpper</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_mbStrSplit" title="mbStrSplit ::">
            <span class="description"></span><pre>mbStrSplit</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_sanitizeUTF8" title="sanitizeUTF8 ::Try to sanitize UTF8, stripping invalid byte sequences. Not perfect. Does not surrogate characters.">
            <span class="description">Try to sanitize UTF8, stripping invalid byte sequences. Not perfect. Does not surrogate characters.</span><pre>sanitizeUTF8</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setCurrencyCode" title="setCurrencyCode ::Set the currency code. Only used by NumberFormat::toFormattedString()
       to format output by \PhpOffice\PhpSpreadsheet\Writer\Html and \PhpOffice\PhpSpreadsheet\Writer\Pdf.">
            <span class="description">Set the currency code. Only used by NumberFormat::toFormattedString()
       to format output by \PhpOffice\PhpSpreadsheet\Writer\Html and \PhpOffice\PhpSpreadsheet\Writer\Pdf.</span><pre>setCurrencyCode</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setDecimalSeparator" title="setDecimalSeparator ::Set the decimal separator. Only used by NumberFormat::toFormattedString()
to format output by \PhpOffice\PhpSpreadsheet\Writer\Html and \PhpOffice\PhpSpreadsheet\Writer\Pdf.">
            <span class="description">Set the decimal separator. Only used by NumberFormat::toFormattedString()
to format output by \PhpOffice\PhpSpreadsheet\Writer\Html and \PhpOffice\PhpSpreadsheet\Writer\Pdf.</span><pre>setDecimalSeparator</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setThousandsSeparator" title="setThousandsSeparator ::Set the thousands separator. Only used by NumberFormat::toFormattedString()
to format output by \PhpOffice\PhpSpreadsheet\Writer\Html and \PhpOffice\PhpSpreadsheet\Writer\Pdf.">
            <span class="description">Set the thousands separator. Only used by NumberFormat::toFormattedString()
to format output by \PhpOffice\PhpSpreadsheet\Writer\Html and \PhpOffice\PhpSpreadsheet\Writer\Pdf.</span><pre>setThousandsSeparator</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_strCaseReverse" title="strCaseReverse ::Reverse the case of a string, so that all uppercase characters become lowercase
and all lowercase characters become uppercase.">
            <span class="description">Reverse the case of a string, so that all uppercase characters become lowercase
and all lowercase characters become uppercase.</span><pre>strCaseReverse</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_strToLower" title="strToLower ::Convert a UTF-8 encoded string to lower case.">
            <span class="description">Convert a UTF-8 encoded string to lower case.</span><pre>strToLower</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_strToTitle" title="strToTitle ::Convert a UTF-8 encoded string to title/proper case
(uppercase every first character in each word, lower case all other characters).">
            <span class="description">Convert a UTF-8 encoded string to title/proper case
(uppercase every first character in each word, lower case all other characters).</span><pre>strToTitle</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_strToUpper" title="strToUpper ::Convert a UTF-8 encoded string to upper case.">
            <span class="description">Convert a UTF-8 encoded string to upper case.</span><pre>strToUpper</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_substring" title="substring ::Get a substring of a UTF-8 encoded string.">
            <span class="description">Get a substring of a UTF-8 encoded string.</span><pre>substring</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_SYLKtoUTF8" title="SYLKtoUTF8 ::Convert SYLK encoded string to UTF-8.">
            <span class="description">Convert SYLK encoded string to UTF-8.</span><pre>SYLKtoUTF8</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_testStringAsNumeric" title="testStringAsNumeric ::Retrieve any leading numeric part of a string, or return the full string if no leading numeric
(handles basic integer or float, but not exponent or non decimal).">
            <span class="description">Retrieve any leading numeric part of a string, or return the full string if no leading numeric
(handles basic integer or float, but not exponent or non decimal).</span><pre>testStringAsNumeric</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_UTF8toBIFF8UnicodeLong" title="UTF8toBIFF8UnicodeLong ::Converts a UTF-8 string into BIFF8 Unicode string data (16-bit string length)
Writes the string using uncompressed notation, no rich text, no Asian phonetics
If mbstring extension is not available, ASCII is assumed, and compressed notation is used
although this will give wrong results for non-ASCII strings
see OpenOffice.org&#039;s Documentation of the Microsoft Excel File Format, sect. 2.5.3.">
            <span class="description">Converts a UTF-8 string into BIFF8 Unicode string data (16-bit string length)
Writes the string using uncompressed notation, no rich text, no Asian phonetics
If mbstring extension is not available, ASCII is assumed, and compressed notation is used
although this will give wrong results for non-ASCII strings
see OpenOffice.org&#039;s Documentation of the Microsoft Excel File Format, sect. 2.5.3.</span><pre>UTF8toBIFF8UnicodeLong</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_UTF8toBIFF8UnicodeShort" title="UTF8toBIFF8UnicodeShort ::Converts a UTF-8 string into BIFF8 Unicode string data (8-bit string length)
Writes the string using uncompressed notation, no rich text, no Asian phonetics
If mbstring extension is not available, ASCII is assumed, and compressed notation is used
although this will give wrong results for non-ASCII strings
see OpenOffice.org&#039;s Documentation of the Microsoft Excel File Format, sect. 2.5.3.">
            <span class="description">Converts a UTF-8 string into BIFF8 Unicode string data (8-bit string length)
Writes the string using uncompressed notation, no rich text, no Asian phonetics
If mbstring extension is not available, ASCII is assumed, and compressed notation is used
although this will give wrong results for non-ASCII strings
see OpenOffice.org&#039;s Documentation of the Microsoft Excel File Format, sect. 2.5.3.</span><pre>UTF8toBIFF8UnicodeShort</pre>
        </a>
    </li>            </ul>
        </li>
        <li class="nav-header protected">» Protected
            <ul>            </ul>
        </li>
        <li class="nav-header private">» Private
            <ul>                        <li class="methodprivate">
                            <a href="#method_buildCharacterSets" title="buildCharacterSets ::">
                                <span class="description"></span><pre>buildCharacterSets</pre>
                            </a>
                        </li>                        <li class="methodprivate">
                            <a href="#method_buildControlCharacters" title="buildControlCharacters ::Build control characters array.">
                                <span class="description">Build control characters array.</span><pre>buildControlCharacters</pre>
                            </a>
                        </li>                        <li class="methodprivate">
                            <a href="#method_buildSYLKCharacters" title="buildSYLKCharacters ::Build SYLK characters array.">
                                <span class="description">Build SYLK characters array.</span><pre>buildSYLKCharacters</pre>
                            </a>
                        </li>            </ul>
        </li>
        <li class="nav-header">
            <i class="icon-custom icon-constant"></i> Constants
            <ul>                <li class="constant">
                    <a href="#constant_STRING_REGEXP_FRACTION" title="STRING_REGEXP_FRACTION ::">
                        <span class="description"></span><pre>STRING_REGEXP_FRACTION</pre>
                    </a>
                </li>            </ul>
        </li>
    </ul>
        </div>

        <div class="span8">
            <div class="element class">
                <h1>StringHelper</h1>
                <small style="display: block; text-align: right">                </small>
                <p class="short_description"></p>
                <div class="details">
                    <div class="long_description">
                    </div>
                    <table class="table table-bordered">                                <tr>
                                    <th>package                                    </th>
                                    <td><p>Default</p>
                                    </td>
                                </tr>                    </table>

                    <h3><i class="icon-custom icon-method"></i> Methods</h3>                        <a id="method_buildCharacterSets"></a>
                        <div class="element clickable methodprivate method_buildCharacterSets" data-toggle="collapse" data-target=".method_buildCharacterSets .collapse">
                            <h2>buildCharacterSets</h2>
                            <pre>buildCharacterSets()</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                </div>
                            </div>

                        </div>                        <a id="method_buildControlCharacters"></a>
                        <div class="element clickable methodprivate method_buildControlCharacters" data-toggle="collapse" data-target=".method_buildControlCharacters .collapse">
                            <h2>Build control characters array.</h2>
                            <pre>buildControlCharacters()</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                </div>
                            </div>

                        </div>                        <a id="method_buildSYLKCharacters"></a>
                        <div class="element clickable methodprivate method_buildSYLKCharacters" data-toggle="collapse" data-target=".method_buildSYLKCharacters .collapse">
                            <h2>Build SYLK characters array.</h2>
                            <pre>buildSYLKCharacters()</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                </div>
                            </div>

                        </div>                        <a id="method_controlCharacterOOXML2PHP"></a>
                        <div class="element clickable methodpublic method_controlCharacterOOXML2PHP" data-toggle="collapse" data-target=".method_controlCharacterOOXML2PHP .collapse">
                            <h2>Convert from OpenXML escaped control character to PHP control character.</h2>
                            <pre>controlCharacterOOXML2PHP(string $value): string</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"><h2>Excel 2007 team:</h2>
<p>That's correct, control characters are stored directly in the shared-strings table.
We do encode characters that cannot be represented in XML using the following escape sequence:
<em>xHHHH</em> where H represents a hexadecimal character in the character's value...
So you could end up with something like <em>x0008</em> in a string (either in a cell value (<v>)
element or in the shared string <t> element.</p></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$value</h4>
                                                <code>string</code><p><p>Value to unescape</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>string</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_controlCharacterPHP2OOXML"></a>
                        <div class="element clickable methodpublic method_controlCharacterPHP2OOXML" data-toggle="collapse" data-target=".method_controlCharacterPHP2OOXML .collapse">
                            <h2>Convert from PHP control character to OpenXML escaped control character.</h2>
                            <pre>controlCharacterPHP2OOXML(string $value): string</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"><h2>Excel 2007 team:</h2>
<p>That's correct, control characters are stored directly in the shared-strings table.
We do encode characters that cannot be represented in XML using the following escape sequence:
<em>xHHHH</em> where H represents a hexadecimal character in the character's value...
So you could end up with something like <em>x0008</em> in a string (either in a cell value (<v>)
element or in the shared string <t> element.</p></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$value</h4>
                                                <code>string</code><p><p>Value to escape</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>string</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_convertEncoding"></a>
                        <div class="element clickable methodpublic method_convertEncoding" data-toggle="collapse" data-target=".method_convertEncoding .collapse">
                            <h2>Convert string from one encoding to another.</h2>
                            <pre>convertEncoding(string $value,string $to,string $from): string</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$value</h4>
                                                <code>string</code><p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$to</h4>
                                                <code>string</code><p><p>Encoding to convert to, e.g. 'UTF-8'</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$from</h4>
                                                <code>string</code><p><p>Encoding to convert from, e.g. 'UTF-16LE'</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>string</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_convertToNumberIfFraction"></a>
                        <div class="element clickable methodpublic method_convertToNumberIfFraction" data-toggle="collapse" data-target=".method_convertToNumberIfFraction .collapse">
                            <h2>Identify whether a string contains a fractional numeric value,
and convert it to a numeric if it is.</h2>
                            <pre>convertToNumberIfFraction( &$operand): boolean</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$operand</h4>
                                                <code></code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>boolean</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_countCharacters"></a>
                        <div class="element clickable methodpublic method_countCharacters" data-toggle="collapse" data-target=".method_countCharacters .collapse">
                            <h2>Get character count.</h2>
                            <pre>countCharacters(string $value,string $enc = &#039;UTF-8&#039;): integer</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$value</h4>
                                                <code>string</code><p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$enc</h4>
                                                <code>string</code><p><p>Encoding</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>integer</code><p><p>Character count</p></p>                                </div>
                            </div>

                        </div>                        <a id="method_formatNumber"></a>
                        <div class="element clickable methodpublic method_formatNumber" data-toggle="collapse" data-target=".method_formatNumber .collapse">
                            <h2>Formats a numeric value as a string for output in various output writers forcing
point as decimal separator in case locale is other than English.</h2>
                            <pre>formatNumber(mixed $value): string</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$value</h4>
                                                <code>mixed</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>string</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getCurrencyCode"></a>
                        <div class="element clickable methodpublic method_getCurrencyCode" data-toggle="collapse" data-target=".method_getCurrencyCode .collapse">
                            <h2>Get the currency code. If it has not yet been set explicitly, try to obtain the
       symbol information from locale.</h2>
                            <pre>getCurrencyCode(): string</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>string</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getDecimalSeparator"></a>
                        <div class="element clickable methodpublic method_getDecimalSeparator" data-toggle="collapse" data-target=".method_getDecimalSeparator .collapse">
                            <h2>Get the decimal separator. If it has not yet been set explicitly, try to obtain number
formatting information from locale.</h2>
                            <pre>getDecimalSeparator(): string</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>string</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getIsIconvEnabled"></a>
                        <div class="element clickable methodpublic method_getIsIconvEnabled" data-toggle="collapse" data-target=".method_getIsIconvEnabled .collapse">
                            <h2>Get whether iconv extension is available.</h2>
                            <pre>getIsIconvEnabled(): boolean</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>boolean</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getThousandsSeparator"></a>
                        <div class="element clickable methodpublic method_getThousandsSeparator" data-toggle="collapse" data-target=".method_getThousandsSeparator .collapse">
                            <h2>Get the thousands separator. If it has not yet been set explicitly, try to obtain number
formatting information from locale.</h2>
                            <pre>getThousandsSeparator(): string</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>string</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_isUTF8"></a>
                        <div class="element clickable methodpublic method_isUTF8" data-toggle="collapse" data-target=".method_isUTF8 .collapse">
                            <h2>Check if a string contains UTF8 data.</h2>
                            <pre>isUTF8(string $value): boolean</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$value</h4>
                                                <code>string</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>boolean</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_mbIsUpper"></a>
                        <div class="element clickable methodpublic method_mbIsUpper" data-toggle="collapse" data-target=".method_mbIsUpper .collapse">
                            <h2>mbIsUpper</h2>
                            <pre>mbIsUpper( $char)</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$char</h4>
                                                <code></code><p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_mbStrSplit"></a>
                        <div class="element clickable methodpublic method_mbStrSplit" data-toggle="collapse" data-target=".method_mbStrSplit .collapse">
                            <h2>mbStrSplit</h2>
                            <pre>mbStrSplit( $string)</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$string</h4>
                                                <code></code><p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_sanitizeUTF8"></a>
                        <div class="element clickable methodpublic method_sanitizeUTF8" data-toggle="collapse" data-target=".method_sanitizeUTF8 .collapse">
                            <h2>Try to sanitize UTF8, stripping invalid byte sequences. Not perfect. Does not surrogate characters.</h2>
                            <pre>sanitizeUTF8(string $value): string</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$value</h4>
                                                <code>string</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>string</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setCurrencyCode"></a>
                        <div class="element clickable methodpublic method_setCurrencyCode" data-toggle="collapse" data-target=".method_setCurrencyCode .collapse">
                            <h2>Set the currency code. Only used by NumberFormat::toFormattedString()
       to format output by \PhpOffice\PhpSpreadsheet\Writer\Html and \PhpOffice\PhpSpreadsheet\Writer\Pdf.</h2>
                            <pre>setCurrencyCode(string $pValue)</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code>string</code><p><p>Character for currency code</p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_setDecimalSeparator"></a>
                        <div class="element clickable methodpublic method_setDecimalSeparator" data-toggle="collapse" data-target=".method_setDecimalSeparator .collapse">
                            <h2>Set the decimal separator. Only used by NumberFormat::toFormattedString()
to format output by \PhpOffice\PhpSpreadsheet\Writer\Html and \PhpOffice\PhpSpreadsheet\Writer\Pdf.</h2>
                            <pre>setDecimalSeparator(string $pValue)</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code>string</code><p><p>Character for decimal separator</p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_setThousandsSeparator"></a>
                        <div class="element clickable methodpublic method_setThousandsSeparator" data-toggle="collapse" data-target=".method_setThousandsSeparator .collapse">
                            <h2>Set the thousands separator. Only used by NumberFormat::toFormattedString()
to format output by \PhpOffice\PhpSpreadsheet\Writer\Html and \PhpOffice\PhpSpreadsheet\Writer\Pdf.</h2>
                            <pre>setThousandsSeparator(string $pValue)</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code>string</code><p><p>Character for thousands separator</p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_strCaseReverse"></a>
                        <div class="element clickable methodpublic method_strCaseReverse" data-toggle="collapse" data-target=".method_strCaseReverse .collapse">
                            <h2>Reverse the case of a string, so that all uppercase characters become lowercase
and all lowercase characters become uppercase.</h2>
                            <pre>strCaseReverse(string $pValue): string</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code>string</code><p><p>UTF-8 encoded string</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>string</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_strToLower"></a>
                        <div class="element clickable methodpublic method_strToLower" data-toggle="collapse" data-target=".method_strToLower .collapse">
                            <h2>Convert a UTF-8 encoded string to lower case.</h2>
                            <pre>strToLower(string $pValue): string</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code>string</code><p><p>UTF-8 encoded string</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>string</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_strToTitle"></a>
                        <div class="element clickable methodpublic method_strToTitle" data-toggle="collapse" data-target=".method_strToTitle .collapse">
                            <h2>Convert a UTF-8 encoded string to title/proper case
(uppercase every first character in each word, lower case all other characters).</h2>
                            <pre>strToTitle(string $pValue): string</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code>string</code><p><p>UTF-8 encoded string</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>string</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_strToUpper"></a>
                        <div class="element clickable methodpublic method_strToUpper" data-toggle="collapse" data-target=".method_strToUpper .collapse">
                            <h2>Convert a UTF-8 encoded string to upper case.</h2>
                            <pre>strToUpper(string $pValue): string</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code>string</code><p><p>UTF-8 encoded string</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>string</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_substring"></a>
                        <div class="element clickable methodpublic method_substring" data-toggle="collapse" data-target=".method_substring .collapse">
                            <h2>Get a substring of a UTF-8 encoded string.</h2>
                            <pre>substring(string $pValue,integer $pStart,integer $pLength): string</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code>string</code><p><p>UTF-8 encoded string</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$pStart</h4>
                                                <code>integer</code><p><p>Start offset</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$pLength</h4>
                                                <code>integer</code><p><p>Maximum number of characters in substring</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>string</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_SYLKtoUTF8"></a>
                        <div class="element clickable methodpublic method_SYLKtoUTF8" data-toggle="collapse" data-target=".method_SYLKtoUTF8 .collapse">
                            <h2>Convert SYLK encoded string to UTF-8.</h2>
                            <pre>SYLKtoUTF8(string $pValue): string</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code>string</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>string</code><p><p>UTF-8 encoded string</p></p>                                </div>
                            </div>

                        </div>                        <a id="method_testStringAsNumeric"></a>
                        <div class="element clickable methodpublic method_testStringAsNumeric" data-toggle="collapse" data-target=".method_testStringAsNumeric .collapse">
                            <h2>Retrieve any leading numeric part of a string, or return the full string if no leading numeric
(handles basic integer or float, but not exponent or non decimal).</h2>
                            <pre>testStringAsNumeric(string $value): mixed</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$value</h4>
                                                <code>string</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>mixed</code><p><p>string or only the leading numeric part of the string</p></p>                                </div>
                            </div>

                        </div>                        <a id="method_UTF8toBIFF8UnicodeLong"></a>
                        <div class="element clickable methodpublic method_UTF8toBIFF8UnicodeLong" data-toggle="collapse" data-target=".method_UTF8toBIFF8UnicodeLong .collapse">
                            <h2>Converts a UTF-8 string into BIFF8 Unicode string data (16-bit string length)
Writes the string using uncompressed notation, no rich text, no Asian phonetics
If mbstring extension is not available, ASCII is assumed, and compressed notation is used
although this will give wrong results for non-ASCII strings
see OpenOffice.org&#039;s Documentation of the Microsoft Excel File Format, sect. 2.5.3.</h2>
                            <pre>UTF8toBIFF8UnicodeLong(string $value): string</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$value</h4>
                                                <code>string</code><p><p>UTF-8 encoded string</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>string</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_UTF8toBIFF8UnicodeShort"></a>
                        <div class="element clickable methodpublic method_UTF8toBIFF8UnicodeShort" data-toggle="collapse" data-target=".method_UTF8toBIFF8UnicodeShort .collapse">
                            <h2>Converts a UTF-8 string into BIFF8 Unicode string data (8-bit string length)
Writes the string using uncompressed notation, no rich text, no Asian phonetics
If mbstring extension is not available, ASCII is assumed, and compressed notation is used
although this will give wrong results for non-ASCII strings
see OpenOffice.org&#039;s Documentation of the Microsoft Excel File Format, sect. 2.5.3.</h2>
                            <pre>UTF8toBIFF8UnicodeShort(string $value,array&lt;mixed,mixed&gt; $arrcRuns = array()): string</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$value</h4>
                                                <code>string</code><p><p>UTF-8 encoded string</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$arrcRuns</h4>
                                                <code>array&lt;mixed,mixed&gt;</code><p><p>Details of rich text runs in $value</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>string</code><p></p>                                </div>
                            </div>

                        </div>                        <h3><i class="icon-custom icon-constant"></i> Constants</h3>                            <a id="constant_STRING_REGEXP_FRACTION"> </a>
                            <div class="element clickable constant constant_STRING_REGEXP_FRACTION" data-toggle="collapse" data-target=".constant_STRING_REGEXP_FRACTION .collapse">
                                <h2>STRING_REGEXP_FRACTION</h2>
                                <pre>STRING_REGEXP_FRACTION</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                        <h3><i class="icon-custom icon-property"></i> Properties</h3>                            <a id="property_controlCharacters"> </a>
                            <div class="element clickable propertyprivate property_controlCharacters" data-toggle="collapse" data-target=".property_controlCharacters .collapse">
                                <h2>Control characters array.</h2>
                                <pre>controlCharacters :array&lt;mixed,string&gt;</pre>
                                <div class="labels"><span class="label">static</span>                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>array&lt;mixed,string&gt;</code>                                    </div>
                                </div>
                            </div>                            <a id="property_SYLKCharacters"> </a>
                            <div class="element clickable propertyprivate property_SYLKCharacters" data-toggle="collapse" data-target=".property_SYLKCharacters .collapse">
                                <h2>SYLK Characters array.</h2>
                                <pre>SYLKCharacters :array</pre>
                                <div class="labels"><span class="label">static</span>                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>array</code>                                    </div>
                                </div>
                            </div>                            <a id="property_decimalSeparator"> </a>
                            <div class="element clickable propertyprivate property_decimalSeparator" data-toggle="collapse" data-target=".property_decimalSeparator .collapse">
                                <h2>Decimal separator.</h2>
                                <pre>decimalSeparator :string</pre>
                                <div class="labels"><span class="label">static</span>                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>string</code>                                    </div>
                                </div>
                            </div>                            <a id="property_thousandsSeparator"> </a>
                            <div class="element clickable propertyprivate property_thousandsSeparator" data-toggle="collapse" data-target=".property_thousandsSeparator .collapse">
                                <h2>Thousands separator.</h2>
                                <pre>thousandsSeparator :string</pre>
                                <div class="labels"><span class="label">static</span>                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>string</code>                                    </div>
                                </div>
                            </div>                            <a id="property_currencyCode"> </a>
                            <div class="element clickable propertyprivate property_currencyCode" data-toggle="collapse" data-target=".property_currencyCode .collapse">
                                <h2>Currency code.</h2>
                                <pre>currencyCode :string</pre>
                                <div class="labels"><span class="label">static</span>                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>string</code>                                    </div>
                                </div>
                            </div>                            <a id="property_isIconvEnabled"> </a>
                            <div class="element clickable propertyprivate property_isIconvEnabled" data-toggle="collapse" data-target=".property_isIconvEnabled .collapse">
                                <h2>Is iconv extension avalable?</h2>
                                <pre>isIconvEnabled :boolean</pre>
                                <div class="labels"><span class="label">static</span>                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>boolean</code>                                    </div>
                                </div>
                            </div>                            <a id="property_iconvOptions"> </a>
                            <div class="element clickable propertyprivate property_iconvOptions" data-toggle="collapse" data-target=".property_iconvOptions .collapse">
                                <h2>iconv options.</h2>
                                <pre>iconvOptions :string</pre>
                                <div class="labels"><span class="label">static</span>                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>string</code>                                    </div>
                                </div>
                            </div>                </div>
            </div>
            <a id="\PhpOffice\PhpSpreadsheet\Shared\StringHelper"></a>
            <ul class="breadcrumb">
                <li><a href="../index.html"><i class="icon-custom icon-class"></i></a></li>
    <li><span class="divider">\</span><a href="../namespaces/PhpOffice.PhpSpreadsheet.Shared.html">Shared</a></li>
                <li class="active"><span class="divider">\</span><a href="../classes/PhpOffice.PhpSpreadsheet.Shared.StringHelper.html">StringHelper</a></li>
            </ul>
        </div>
    </div>    </div>    <footer class="span12">
            Template is built using <a href="http://twitter.github.com/bootstrap/">Twitter Bootstrap 2</a> and icons provided by
            <a href="http://glyphicons.com/">Glyphicons</a>.<br/>
            Documentation is powered by <a href="http://www.phpdoc.org/">phpDocumentor</a> and<br/>
            generated onFri, 14 Feb 2020 19:36:49 +0000.<br/>
    </footer></body>
</html>
